Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454925 - Bookmarked Tabs Replace Current Tab
Summary: Bookmarked Tabs Replace Current Tab
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 19:56 UTC by Daniel Qarras
Modified: 2018-04-11 11:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-29 23:40:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 395024 None None None Never

Description Daniel Qarras 2008-07-10 19:56:13 UTC
Description of problem:
When opening several tabs from bookmarks (Bookmarks->[Folder Name]->Open All in
Tabs) the currently open tab is replaced although I have these settings:

browser.tabs.loadBookmarksInBackground;true
browser.tabs.loadDivertedInBackground;true
browser.tabs.loadFolderAndReplace;false
browser.tabs.loadInBackground;true

In other cases the current tab is not replaced.

Version-Release number of selected component (if applicable):
firefox-3.0-1.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Create a bookmark folder with few bookmarks
2. Select Bookmarks->[Folder Name]->Open All in Tabs
3. Notice how the current tab is replaced
  
Actual results:
Current tab replaced.

Expected results:
Current tab not replaced, bookmarks loaded in background.

Additional info:
I think this used to work with Firefox 1.5, not sure. Anyway, this should be
fixed. Can't test on other platforms, I use Fedora only :-)

Comment 1 Matěj Cepl 2008-07-29 23:40:17 UTC
Yes, I can reproduce this with firefox-3.0.1-1.fc9.i386 and
xulrunner-1.9.0.1-1.fc9.i386.

However, we found that this bug has been already registered in the upstream
database (https://bugzilla.mozilla.org/show_bug.cgi?id=395024) and believe that
it is more appropriate to let it be resolved upstream.

According to this bug, the removal of support for
browser.tabs.loadFolderAndReplace has been intentional. Comments in this bug
suggest extension TabMixPlus as replacement of the lost behavior. Moreover, when
you click on "Open All in Tabs" with MIDDLE button of your mouse, firefox seems
to follow what you would like.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.


Note You need to log in before you can comment on or make changes to this bug.